// Simple Example for component dOPCGUI
// This example is based on Matrikon Simulation OPC Server
// You can download the server for free at: http://www.matrikon.com
// But it's a trivial matter to change to another OPC Server.
unit Unit1;

interface

uses
  Windows, Messages, SysUtils,  Classes, Graphics, Controls, Forms,
  Dialogs, dOPCGUI, dOPC, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    dOPCServer1: TdOPCServer;
    dOPCGUI1: TdOPCGUI;
    procedure dOPCGUI1Edit1ChangeData(Control: TControl;
      var OPCValue: OleVariant; var Handled: Boolean);
    procedure FormShow(Sender: TObject);
  private
   procedure Calc;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Calc;
var
  V1,V2 : double;

begin
  v1 := StrToFloat(Edit1.text);
  v2 := StrToFloat(Edit3.text);
  Edit2.Text := FloattoStrF(V1/100,ffFixed,10,2);
  Edit4.Text := FloattoStrF(V2/100,ffFixed,10,2);
  Edit5.Text := FloattoStrF(V1+V2,ffFixed,10,2);
end;

procedure TForm1.dOPCGUI1Edit1ChangeData(Control: TControl;
  var OPCValue: OleVariant; var Handled: Boolean);
begin
 TEdit(Control).Text := FloattoStrF(OPCValue,ffFixed,10,2);
 Calc;
 Handled := true;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  dopcServer1.Active := true;
end;

end.
